Subject: [PATCH v2] ASoC: omap: convert per-board modules to platform drivers

From: [email-masked] (Mark Brown)
Date: Thu, 8 Sep 2011 15:47:31 -0700

On Thu, Sep 08, 2011 at 11:37:20PM +0100, Russell King - ARM Linux wrote:

> With DT of course, all devices get instantiated from the device tree,
> so there should not be any more platform specific chunks of code in
> these locations (ha, it couldn't be solved with platform data so I
> suspect it will continue to persist, forever unsolved.)

That's not the case at all for audio, the PCB schematic for the audio
subsystem on a device like a smartphone is a sufficiently interesting
piece of hardware to be a device with a driver in its own right.  The
ASoC machine drivers aren't about instantiating devices, they are about
controlling the interrelationships between the various devices in the
audio subsystem.

What will happen for device tree is that there will be a device in the
device tree for the ASoC board.